Subject: [Fwd: Checking for 95 vs. NT at runtime]
From: Bruce Edge <[email-masked]>
To: cygwin support <[email-masked]>
Date: Wed, 06 Dec 2000 16:29:19 -0800

Christopher Faylor wrote:
> 
> On Wed, Dec 06, 2000 at 04:03:58PM -0800, Bruce Edge wrote:
> >Can you tell from the cygwin API whether you're running under NT or 95?
> >
> >I saw the thread that contained:
> >
> >  if (! is_winnt)
> >    {
> >      ...your w9x specific code...
> >    }
> >
> >The definition of is_winnt is used eg. in `cygwin_utils.c':
> >
> >#define is_winnt       (GetVersion() < 0x80000000)
> >
> >but GetVersion is undefined.
> 
> No, it isn't.  I don't know why you would think that this is undefined
> but it is not.

When I link I get:
/../../../src/lib/dama/stdmsg/stack/stdm_phy_232.cc:103: undefined reference
to
`GetVersion(void)@0'
collect2: ld returned 1 exit
status                                             

and, I did a: 
  for f in /lib/*.a ; do objdump --syms | grep GetVersion; done
without seeing it resolved anywhere, just saw references to it.

Do you know what lib file it's in?

> You do have to include the header file which defines it, though, which
> would probably be <windows.h>.

Thanks, Bruce.

--
Want to unsubscribe from this list?
Send a message to [email-masked]